/ comp / gb.opengl / glu / perspective
Glu.Perspective (gb.opengl)
Syntax

    STATIC SUB Perspective ( Fovy AS Float, Aspect AS Float, ZNear AS Float, ZFar AS Float )

### Set up a perspective projection matrix

#### Parameters

- Fovy specifies the field of view angle, in degrees, in the y direction.

- Aspect specifies the aspect ratio that determines the field of view in the x direction. The aspect ratio is the ratio of x (width) to y (height).

- ZNear specifies the distance from the viewer to the near clipping plane (always positive).

- ZFar specifies the distance from the viewer to the far clipping plane (always positive).

#### Description

Glu.Perspective specifies a viewing frustum into the world coordinate system. In general, the aspect ratio in Glu.Perspective should match the aspect ratio of the associated viewport. For example, Aspect = 2.0 means the viewer's angle of view is twice as wide in x as it is in y. If the viewport is twice as wide as it is tall, it displays the image without distortion.

The matrix generated by Glu.Perspective is multipled by the current matrix, just as if Gl.MultMatrix were called with the generated matrix. To load the perspective matrix onto the current matrix stack instead, precede the call to Glu.Perspective with a call to Gl.LoadIdentity.

### See also

Gl.Frustum, Gl.LoadIdentity, Gl.MultMatrix, Glu.Ortho2D